/* This file contains the definitions for a StairRobot that can climb
up and down stairs that are one high and one wide, as well as the functionalities
of a TurningRobot.

written by Scott McElfresh
*/



package kareltherobot;

public class StairRobot extends TurningRobot
{
    
    // these next four lines should be taken as given.  the name should match the name of the class.
        public StairRobot(int street, int avenue, Direction direction, int numberOfBeepers)
        {       
           super(street, avenue, direction, numberOfBeepers);
        }
 
    
    // This instruction/method tells the robot how to climb up one stair.  Assumes that
    // the robot is facing east.
    public void climbUpStair()
    {
       turnLeft();
       move();
       turnRight();
       move();
    }
    
    // This instruction/method tells the robot how to climb down one stair.  Assumes that
    // the robot is facing west.
    public void climbDownStair()
    {
       move();
       turnLeft();
       move();
       turnRight();
    }


}
